/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id:
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.bc.filetransfer;

/**
 * FileTransferConstants
 * 
 * @author alouis, eBM WebSourcing
 */
public interface FileTransferConstants {

    String TRANSFER_MODE = "transfer-mode";

    String READ_DIRECTORY = "read-directory";

    String WRITE_DIRECTORY = "write-directory";

    String BACKUP_DIRECTORY = "backup-directory";

    String COPY_MODE = "copy-mode";

    String FILE_PATTERN = "file-pattern";

    String POLLING_PERIOD = "polling-period";

    /**
     * the File Transfer mode enums
     */
    String ENUM_TRANSFER_MODE_CONTENT = "content";

    String ENUM_TRANSFER_MODE_ATTACHMENT = "attachment";

    String ENUM_COPY_MODE_CONTENTONLY = "content-only";

    String ENUM_COPY_MODE_ATTACHMENTSONLY = "attachments-only";

    String ENUM_COPY_MODE_CONTENTATTACHMENTS = "content-and-attachments";

    String DEFAULT_FILENAME = "content.xml";
    
    String GET_FILES_OPERATION="getFiles";

    String GET_FILE_OPERATION="getFile";
    
    String SET_FILE_OPERATION="setFile";
    
    String GET_FILES_SERVICE_NS = "http://petals.ow2.org/components/filetransfer/version-2.2";
    
}
