package org.ow2.petals.bc.filetransfer.service;

import java.util.logging.Logger;

import org.ow2.petals.component.framework.api.Component;
import org.ow2.petals.component.framework.api.configuration.ConfigurationExtensions;

public class StandardWriteService extends AbstractSetOperationService {

    public StandardWriteService(ConfigurationExtensions extensions, Logger logger,
            Component component) {
        super(extensions, logger, component);
    }
    
    /**
     * Add the current time as suffix of the filename
     * 
     * @param filename The original file name
     * @return a file name with the current date
     */
    protected String refactorFileName(String filename) {
        if (filename.lastIndexOf('.') == -1) {
            return filename + "-" + System.currentTimeMillis();
        }
        String prefix = filename.substring(0, filename.lastIndexOf('.'));
        String suffix = filename.substring(filename.lastIndexOf('.'), filename.length());
        return prefix + "-" + System.currentTimeMillis() + suffix;
    }
}
